Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class EventDispatchJoinContextFilter<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.EventDispatchJoinContextFilter<E,P,C,H,S>

All Implemented Interfaces:
  EventDispatchContext<E,P,C,H,S>, EventDispatchJoinContext<E,P,C,H,S>

    public class EventDispatchJoinContextFilter<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends Object
implements EventDispatchJoinContext<E,P,C,H,S>

Field Summary
`protected EventDispatchContext<E,P,C,H,S>` | `next`

Constructor Summary
`EventDispatchJoinContextFilter(EventDispatchContext<E,P,C,H,S> next)`

Method Summary
`void` | `consume(E event)` Consumes event.
`void` | `consume(int index)` Consumes event at index removing them from further multi-event joins.
`void` | `consumeJoin(E event)` Consumes event removing it from further multi-event joins by this handler, but not by other handlers.
`void` | `consumeJoin(int index)` Consumes event at index removing it from further multi-event joins by this handler, but not from processing by other handlers.
`S` | `getEventStore()`
`EventHandlerBase.Mode` | `getMode()` Handler mode - POST or REMOVE
`void` | `post(E event, ... validators)` Posts new event to the bus.
`void` | `removeHandler()` Removes given handler from the inference network so it is never fired again.
`void` | `update(E event)` Invocation of this method indicates that one of source events has been chanded and shall be re-posted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    protected EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>> next

Constructor Detail

### EventDispatchJoinContextFilter

    public EventDispatchJoinContextFilter(EventDispatchContext<E,P,C,H,S> next)

Method Detail

### consume

    public void consume(int index)

  Description copied from interface: `EventDispatchContext`
  Consumes event at index removing them from further multi-event joins.

  Specified by:
    `consume` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### consume

    public void consume(E event)

  Description copied from interface: `EventDispatchContext`
  Consumes event.

  Specified by:
    `consume` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### update

    public void update(E event)

  Description copied from interface: `EventDispatchContext`
  Invocation of this method indicates that one of source events has been chanded and shall be re-posted.

  Specified by:
    `update` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### removeHandler

    public void removeHandler()

  Description copied from interface: `EventDispatchContext`
  Removes given handler from the inference network so it is never fired again.

  Specified by:
    `removeHandler` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### consumeJoin

    public void consumeJoin(int index)

  Description copied from interface: `EventDispatchJoinContext`
  Consumes event at index removing it from further multi-event joins by this handler, but not from processing by other handlers.

  Specified by:
    `consumeJoin` in interface `EventDispatchJoinContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### consumeJoin

    public void consumeJoin(E event)

  Description copied from interface: `EventDispatchJoinContext`
  Consumes event removing it from further multi-event joins by this handler, but not by other handlers.

  Specified by:
    `consumeJoin` in interface `EventDispatchJoinContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### getEventStore

    public S getEventStore()

  Specified by:
    `getEventStore` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`
  Returns:
    event store.

### post

    public void post(E event,
                     ... validators)

  Description copied from interface: `EventDispatchContext`
  Posts new event to the bus.

  Specified by:
    `post` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`

### getMode

    public EventHandlerBase.Mode getMode()

  Description copied from interface: `EventDispatchContext`
  Handler mode - POST or REMOVE

  Specified by:
    `getMode` in interface `EventDispatchContext<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD